Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.customer
Interface CustomerDelegate

All Superinterfaces
  com.beasys.commerce.axiom.contact.Contact, RemoteRelationalReference

All Known Subinterfaces:
  Customer

Deprecated

    @Deprecated
    public interface CustomerDelegate

extends com.beasys.commerce.axiom.contact.Contact, RemoteRelationalReference

Stores the information required to do business with a customer. It inherits most attributes from the Person object and adds the ability to authenticate and to bill for product via a credit card.

Method Summary
`void` | `clearCreditCardsMap()` Deprecated Removes all mappings from this map (optional operation).
`void` | `clearShippingAddressMap()` Deprecated Removes all mappings from this map (optional operation).
`boolean` | `creditCardsMapContainsKey(Object key)` Deprecated Returns true if this map contains a mapping for the specified key.
`boolean` | `creditCardsMapContainsValue(com.beasys.commerce.axiom.contact.CreditCard element)` Deprecated Returns true if this map maps one or more keys to the specified value.
`Set` | `creditCardsMapEntrySet()` Deprecated Returns a set view of the mappings contained in this map.
`int` | `creditCardsMapHashCode()` Deprecated Returns the hash code value for this map.
`Set` | `creditCardsMapKeySet()` Deprecated Returns a set view of the keys contained in this map.
`int` | `creditCardsMapSize()` Deprecated Returns the number of key-value mappings in this map.
`Collection` | `creditCardsMapValues()` Deprecated Returns a collection view of the values contained in this map.
`boolean` | `equalsCreditCardsMap(Object object)` Deprecated Compares the specified object with this map for equality.
`boolean` | `equalsShippingAddressMap(Object object)` Deprecated Compares the specified object with this map for equality.
`com.beasys.commerce.axiom.contact.CreditCard` | `getCreditCards(Object key)` Deprecated Returns the value to which this map maps the specified key.
`Map` | `getCreditCardsMap()` Deprecated Returns the entire map
`CustomerValue` | `getCustomerByValue()` Deprecated Get all of Customer's attributes.
`String` | `getCustomerType()` Deprecated Get the value of customerType
`String` | `getDefaultShippingAddressCity()` Deprecated
`String` | `getDefaultShippingAddressCountry()` Deprecated
`String` | `getDefaultShippingAddressCounty()` Deprecated
`String` | `getDefaultShippingAddressDescription()` Deprecated
`String` | `getDefaultShippingAddressGeoCode()` Deprecated
`String` | `getDefaultShippingAddressPoBox()` Deprecated
`String` | `getDefaultShippingAddressPostalCode()` Deprecated
`String` | `getDefaultShippingAddressPostalCodeType()` Deprecated
`String` | `getDefaultShippingAddressState()` Deprecated
`String` | `getDefaultShippingAddressStreet1()` Deprecated
`String` | `getDefaultShippingAddressStreet2()` Deprecated
`String` | `getIdentifier()` Deprecated Returns the identifier (primary key field) for this user.
`com.beasys.commerce.axiom.contact.Address` | `getShippingAddress(Object key)` Deprecated Returns the value to which this map maps the specified key.
`Map` | `getShippingAddressMap()` Deprecated Returns the entire map
`boolean` | `isCreditCardsMapEmpty()` Deprecated Returns true if this map contains no key-value mappings.
`boolean` | `isShippingAddressMapEmpty()` Deprecated Returns true if this map contains no key-value mappings.
`com.beasys.commerce.axiom.contact.CreditCard` | `putCreditCards(Object key, com.beasys.commerce.axiom.contact.CreditCard element)` Deprecated Associates the specified value with the specified key in this map (optional operation).
`void` | `putCreditCardsMap(Map map)` Deprecated Copies all of the mappings from the specified map to this map (optional operation).
`com.beasys.commerce.axiom.contact.Address` | `putShippingAddress(Object key, com.beasys.commerce.axiom.contact.Address element)` Deprecated Associates the specified value with the specified key in this map (optional operation).
`void` | `putShippingAddressMap(Map map)` Deprecated Copies all of the mappings from the specified map to this map (optional operation).
`com.beasys.commerce.axiom.contact.CreditCard` | `removeCreditCards(Object key)` Deprecated Removes the mapping for this key from this map if present (optional operation).
`com.beasys.commerce.axiom.contact.Address` | `removeShippingAddress(Object key)` Deprecated Removes the mapping for this key from this map if present (optional operation).
`void` | `setCreditCardsMap(Map map)` Deprecated Sets the entire map
`void` | `setCustomerByValue(CustomerValue value)` Deprecated Set all of Customer's attributes to the passed in value.
`void` | `setCustomerType(String customerType)` Deprecated Set the value of customerType
`void` | `setDefaultShippingAddressCity(String city)` Deprecated
`void` | `setDefaultShippingAddressCountry(String country)` Deprecated
`void` | `setDefaultShippingAddressCounty(String county)` Deprecated
`void` | `setDefaultShippingAddressGeoCode(String geoCode)` Deprecated
`void` | `setDefaultShippingAddressPoBox(String poBox)` Deprecated
`void` | `setDefaultShippingAddressPostalCode(String postalCode)` Deprecated
`void` | `setDefaultShippingAddressPostalCodeType(String postalCodeType)` Deprecated
`void` | `setDefaultShippingAddressState(String state)` Deprecated
`void` | `setDefaultShippingAddressStreet1(String street1)` Deprecated
`void` | `setDefaultShippingAddressStreet2(String street2)` Deprecated
`void` | `setDefaultShippingDescription(String description)` Deprecated
`void` | `setShippingAddressMap(Map map)` Deprecated Sets the entire map
`boolean` | `shippingAddressMapContainsKey(Object key)` Deprecated Returns true if this map contains a mapping for the specified key.
`boolean` | `shippingAddressMapContainsValue(com.beasys.commerce.axiom.contact.Address element)` Deprecated Returns true if this map maps one or more keys to the specified value.
`Set` | `shippingAddressMapEntrySet()` Deprecated Returns a set view of the mappings contained in this map.
`int` | `shippingAddressMapHashCode()` Deprecated Returns the hash code value for this map.
`Set` | `shippingAddressMapKeySet()` Deprecated Returns a set view of the keys contained in this map.
`int` | `shippingAddressMapSize()` Deprecated Returns the number of key-value mappings in this map.
`Collection` | `shippingAddressMapValues()` Deprecated Returns a collection view of the values contained in this map.

Methods inherited from interface com.beasys.commerce.axiom.contact.Contact
`getBusinessPhone, getContactAddress, getContactAddressCity, getContactAddressCountry, getContactAddressCounty, getContactAddressGeoCode, getContactAddressPoBox, getContactAddressPostalCode, getContactAddressPostalCodeType, getContactAddressState, getContactAddressStreet1, getContactAddressStreet2, getContactByValue, getEmail, getFax, getFirstName, getHomePhone, getLastName, getMiddleName, getSuffix, getTitle, setBusinessPhone, setContactAddress, setContactAddressCity, setContactAddressCountry, setContactAddressCounty, setContactAddressGeoCode, setContactAddressPoBox, setContactAddressPostalCode, setContactAddressPostalCodeType, setContactAddressState, setContactAddressStreet1, setContactAddressStreet2, setContactByValue, setEmail, setFax, setFirstName, setHomePhone, setLastName, setMiddleName, setSuffix, setTitle`

Methods inherited from interface com.beasys.commerce.foundation.RemoteRelationalReference
`get__classIdentifier, get__containingBelonging, get__containingEntity, get__mapKey, get__sequenceNumber, set__containingBelonging, set__containingEntity, set__mapKey`

Method Detail

### getIdentifier

    String getIdentifier()
                         throws RemoteException

  Deprecated
  Returns the identifier (primary key field) for this user.

  Returns
    the identifier (primary key field) for this user
  Throws
    `RemoteException`

### getCustomerByValue

    CustomerValue getCustomerByValue()
                                     throws RemoteException

  Deprecated
  Get all of Customer's attributes.

  Returns
    CustomerValue the Customer value object
  Throws
    `RemoteException`

### setCustomerByValue

    void setCustomerByValue(CustomerValue value)
                            throws RemoteException

  Deprecated
  Set all of Customer's attributes to the passed in value. Note: Primary key attributes are not set.

  Parameters
    `CustomerValue` - the Customer value object
  Throws
    `RemoteException`

### getCreditCardsMap

    Map getCreditCardsMap()
                          throws RemoteException

  Deprecated
  Returns the entire map

  Throws
    `RemoteException`

### setCreditCardsMap

    void setCreditCardsMap(Map map)
                           throws RemoteException

  Deprecated
  Sets the entire map

  Throws
    `RemoteException`

### clearCreditCardsMap

    void clearCreditCardsMap()
                             throws RemoteException

  Deprecated
  Removes all mappings from this map (optional operation).

  Throws
    `RemoteException`

### creditCardsMapContainsKey

    boolean creditCardsMapContainsKey(Object key)
                                      throws RemoteException

  Deprecated
  Returns true if this map contains a mapping for the specified key.

  Throws
    `RemoteException`

### creditCardsMapContainsValue

    boolean creditCardsMapContainsValue(com.beasys.commerce.axiom.contact.CreditCard element)
                                        throws RemoteException

  Deprecated
  Returns true if this map maps one or more keys to the specified value.

  Throws
    `RemoteException`

### creditCardsMapEntrySet

    Set creditCardsMapEntrySet()
                               throws RemoteException

  Deprecated
  Returns a set view of the mappings contained in this map.

  Throws
    `RemoteException`

### equalsCreditCardsMap

    boolean equalsCreditCardsMap(Object object)
                                 throws RemoteException

  Deprecated
  Compares the specified object with this map for equality.

  Throws
    `RemoteException`

### getCreditCards

    com.beasys.commerce.axiom.contact.CreditCard getCreditCards(Object key)
                                                                throws RemoteException

  Deprecated
  Returns the value to which this map maps the specified key.

  Throws
    `RemoteException`

### creditCardsMapHashCode

    int creditCardsMapHashCode()
                               throws RemoteException

  Deprecated
  Returns the hash code value for this map.

  Throws
    `RemoteException`

### isCreditCardsMapEmpty

    boolean isCreditCardsMapEmpty()
                                  throws RemoteException

  Deprecated
  Returns true if this map contains no key-value mappings.

  Throws
    `RemoteException`

### creditCardsMapKeySet

    Set creditCardsMapKeySet()
                             throws RemoteException

  Deprecated
  Returns a set view of the keys contained in this map.

  Throws
    `RemoteException`

### putCreditCards

    com.beasys.commerce.axiom.contact.CreditCard putCreditCards(Object key,
                                                                com.beasys.commerce.axiom.contact.CreditCard element)
                                                                throws RemoteException

  Deprecated
  Associates the specified value with the specified key in this map (optional operation).

  Throws
    `RemoteException`

### putCreditCardsMap

    void putCreditCardsMap(Map map)
                           throws RemoteException

  Deprecated
  Copies all of the mappings from the specified map to this map (optional operation).

  Throws
    `RemoteException`

### removeCreditCards

    com.beasys.commerce.axiom.contact.CreditCard removeCreditCards(Object key)
                                                                   throws RemoteException

  Deprecated
  Removes the mapping for this key from this map if present (optional operation).

  Throws
    `RemoteException`

### creditCardsMapSize

    int creditCardsMapSize()
                           throws RemoteException

  Deprecated
  Returns the number of key-value mappings in this map.

  Throws
    `RemoteException`

### creditCardsMapValues

    Collection creditCardsMapValues()
                                    throws RemoteException

  Deprecated
  Returns a collection view of the values contained in this map.

  Throws
    `RemoteException`

### getCustomerType

    String getCustomerType()
                           throws RemoteException

  Deprecated
  Get the value of customerType

  Returns
    customerType.
  Throws
    `RemoteException`

### setCustomerType

    void setCustomerType(String customerType)
                         throws RemoteException

  Deprecated
  Set the value of customerType

  Parameters
    `customerType` - customerType to be added
  Throws
    `RemoteException`

### getShippingAddressMap

    Map getShippingAddressMap()
                              throws RemoteException

  Deprecated
  Returns the entire map

  Throws
    `RemoteException`

### setShippingAddressMap

    void setShippingAddressMap(Map map)
                               throws RemoteException

  Deprecated
  Sets the entire map

  Throws
    `RemoteException`

### clearShippingAddressMap

    void clearShippingAddressMap()
                                 throws RemoteException

  Deprecated
  Removes all mappings from this map (optional operation).

  Throws
    `RemoteException`

### shippingAddressMapContainsKey

    boolean shippingAddressMapContainsKey(Object key)
                                          throws RemoteException

  Deprecated
  Returns true if this map contains a mapping for the specified key.

  Throws
    `RemoteException`

### shippingAddressMapContainsValue

    boolean shippingAddressMapContainsValue(com.beasys.commerce.axiom.contact.Address element)
                                            throws RemoteException

  Deprecated
  Returns true if this map maps one or more keys to the specified value.

  Throws
    `RemoteException`

### shippingAddressMapEntrySet

    Set shippingAddressMapEntrySet()
                                   throws RemoteException

  Deprecated
  Returns a set view of the mappings contained in this map.

  Throws
    `RemoteException`

### equalsShippingAddressMap

    boolean equalsShippingAddressMap(Object object)
                                     throws RemoteException

  Deprecated
  Compares the specified object with this map for equality.

  Throws
    `RemoteException`

### getShippingAddress

    com.beasys.commerce.axiom.contact.Address getShippingAddress(Object key)
                                                                 throws RemoteException

  Deprecated
  Returns the value to which this map maps the specified key.

  Throws
    `RemoteException`

### shippingAddressMapHashCode

    int shippingAddressMapHashCode()
                                   throws RemoteException

  Deprecated
  Returns the hash code value for this map.

  Throws
    `RemoteException`

### isShippingAddressMapEmpty

    boolean isShippingAddressMapEmpty()
                                      throws RemoteException

  Deprecated
  Returns true if this map contains no key-value mappings.

  Throws
    `RemoteException`

### shippingAddressMapKeySet

    Set shippingAddressMapKeySet()
                                 throws RemoteException

  Deprecated
  Returns a set view of the keys contained in this map.

  Throws
    `RemoteException`

### putShippingAddress

    com.beasys.commerce.axiom.contact.Address putShippingAddress(Object key,
                                                                 com.beasys.commerce.axiom.contact.Address element)
                                                                 throws RemoteException

  Deprecated
  Associates the specified value with the specified key in this map (optional operation).

  Throws
    `RemoteException`

### putShippingAddressMap

    void putShippingAddressMap(Map map)
                               throws RemoteException

  Deprecated
  Copies all of the mappings from the specified map to this map (optional operation).

  Throws
    `RemoteException`

### removeShippingAddress

    com.beasys.commerce.axiom.contact.Address removeShippingAddress(Object key)
                                                                    throws RemoteException

  Deprecated
  Removes the mapping for this key from this map if present (optional operation).

  Throws
    `RemoteException`

### shippingAddressMapSize

    int shippingAddressMapSize()
                               throws RemoteException

  Deprecated
  Returns the number of key-value mappings in this map.

  Throws
    `RemoteException`

### shippingAddressMapValues

    Collection shippingAddressMapValues()
                                        throws RemoteException

  Deprecated
  Returns a collection view of the values contained in this map.

  Throws
    `RemoteException`

### getDefaultShippingAddressStreet1

    String getDefaultShippingAddressStreet1()
                                            throws RemoteException

  Deprecated
  Throws
    `RemoteException`

### setDefaultShippingAddressStreet1

    void setDefaultShippingAddressStreet1(String street1)
                                          throws RemoteException

  Deprecated
  Throws
    `RemoteException`

### getDefaultShippingAddressStreet2

    String getDefaultShippingAddressStreet2()
                                            throws RemoteException

  Deprecated
  Throws
    `RemoteException`

### setDefaultShippingAddressStreet2

    void setDefaultShippingAddressStreet2(String street2)
                                          throws RemoteException

  Deprecated
  Throws
    `RemoteException`

### getDefaultShippingAddressDescription

    String getDefaultShippingAddressDescription()
                                                throws RemoteException

  Deprecated
  Throws
    `RemoteException`

### setDefaultShippingDescription

    void setDefaultShippingDescription(String description)
                                       throws RemoteException

  Deprecated
  Throws
    `RemoteException`

### getDefaultShippingAddressCity

    String getDefaultShippingAddressCity()
                                         throws RemoteException

  Deprecated
  Throws
    `RemoteException`

### setDefaultShippingAddressCity

    void setDefaultShippingAddressCity(String city)
                                       throws RemoteException

  Deprecated
  Throws
    `RemoteException`

### getDefaultShippingAddressPostalCodeType

    String getDefaultShippingAddressPostalCodeType()
                                                   throws RemoteException

  Deprecated
  Throws
    `RemoteException`

### setDefaultShippingAddressPostalCodeType

    void setDefaultShippingAddressPostalCodeType(String postalCodeType)
                                                 throws RemoteException

  Deprecated
  Throws
    `RemoteException`

### getDefaultShippingAddressCountry

    String getDefaultShippingAddressCountry()
                                            throws RemoteException

  Deprecated
  Throws
    `RemoteException`

### setDefaultShippingAddressCountry

    void setDefaultShippingAddressCountry(String country)
                                          throws RemoteException

  Deprecated
  Throws
    `RemoteException`

### getDefaultShippingAddressState

    String getDefaultShippingAddressState()
                                          throws RemoteException

  Deprecated
  Throws
    `RemoteException`

### setDefaultShippingAddressState

    void setDefaultShippingAddressState(String state)
                                        throws RemoteException

  Deprecated
  Throws
    `RemoteException`

### getDefaultShippingAddressGeoCode

    String getDefaultShippingAddressGeoCode()
                                            throws RemoteException

  Deprecated
  Throws
    `RemoteException`

### setDefaultShippingAddressGeoCode

    void setDefaultShippingAddressGeoCode(String geoCode)
                                          throws RemoteException

  Deprecated
  Throws
    `RemoteException`

### getDefaultShippingAddressPoBox

    String getDefaultShippingAddressPoBox()
                                          throws RemoteException

  Deprecated
  Throws
    `RemoteException`

### setDefaultShippingAddressPoBox

    void setDefaultShippingAddressPoBox(String poBox)
                                        throws RemoteException

  Deprecated
  Throws
    `RemoteException`

### getDefaultShippingAddressCounty

    String getDefaultShippingAddressCounty()
                                           throws RemoteException

  Deprecated
  Throws
    `RemoteException`

### setDefaultShippingAddressCounty

    void setDefaultShippingAddressCounty(String county)
                                         throws RemoteException

  Deprecated
  Throws
    `RemoteException`

### getDefaultShippingAddressPostalCode

    String getDefaultShippingAddressPostalCode()
                                               throws RemoteException

  Deprecated
  Throws
    `RemoteException`

### setDefaultShippingAddressPostalCode

    void setDefaultShippingAddressPostalCode(String postalCode)
                                             throws RemoteException

  Deprecated
  Throws
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.